{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:plant_x_hanging_moss_x_mossy_x_01_x_singleblock"
    },
    "places_block": "nicothekid:hanging_moss",
    "enforce_survivability_rules": false,
    "enforce_placement_rules": false,
    "may_replace": [
      "minecraft:air",
      "minecraft:vine"
    ],
    "may_attach_to": {
			"top": [
        {
          "tags": "query.any_tag('mossy_leaves')"
        }
			]
		}
  }
}